import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface ImportExportVO extends BaseEntity {
  /**
   * 唯一编码
   */
  id: string | number

  /**
   * 文件名称
   */
  name: string

  /**
   * 文件地址
   */
  url: string

  /**
   * 日志信息
   */
  logInfo: string

  /**
   * 状态(1正常  0异常)
   */
  status: string

  /**
   * 文件Id
   */
  ossId: number
}

export interface ImportExportForm {
  /**
   * 唯一编码
   */
  id?: string | number

  /**
   * 文件名称
   */
  name?: string

  /**
   * 文件地址
   */
  url?: string

  /**
   * 文件地址
   */
  ossId?: number

  /**
   * 日志信息
   */
  logInfo?: string

  /**
   * 状态(1正常  0异常)
   */
  status?: number

  /**
   * 乐观锁
   */
  version?: number
}

export interface ImportExportQuery extends PageQuery {
  /**
   * 文件名称
   */
  name?: string

  /**
   * 文件地址
   */
  url?: string

  /**
   * 日志信息
   */
  logInfo?: string

  /**
   * 状态(1正常  0异常)
   */
  status?: number

  /**
   * 日期范围参数
   */
  params?: any
}
